<ui:composition
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:rich="http://richfaces.org/rich"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:g="http://www.ihe.net/gazelle"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['gazelle.HL7Common.ConfigureValidationParameters']}</h1>
        <h:form id="globalform">
            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.HL7Common.ValidationParametersList']}</ui:define>
                <rich:dataTable value="#{validationParametersManager.getValidationParametersList()}"
                                var="validationParameter" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                id="parametersList" render="ds">
                    <g:column sortBy="#{'id'}" sortOrder="ascending">
                        <ui:define name="header">#{messages['gazelle.HL7Common.Id']}</ui:define>
                        <h:outputText value="#{validationParameter.id}"/>
                    </g:column>
                    <g:column sortBy="#{'validatorType'}">
                        <ui:define name="header">#{messages['gazelle.HL7Common.ValidatorType']}</ui:define>
                        <h:outputText value="#{validationParameter.validatorType}"/>
                    </g:column>
                    <g:column sortBy="#{'profileOID'}" filterBy="#{'profileOID'}">
                        <ui:define name="header">#{messages['gazelle.HL7Common.ProfileOID_2']}</ui:define>
                        <h:outputText value="#{validationParameter.profileOID}" rendered="#{validationParameter.validatorType != 'V2'}"/>
                        <h:outputLink value="#{applicationConfiguration.getValueOfVariable('gazelle_hl7v2_validator_url')}/viewProfile.seam?oid=#{validationParameter.profileOID}"
                                      rendered="#{validationParameter.validatorType == 'V2'}">
                            <h:outputText value="#{validationParameter.profileOID}"/>
                        </h:outputLink>
                    </g:column>
                    <g:column  sortBy="#{'messageType'}" filterBy="#{'messageType'}">
                        <ui:define name="header">#{messages['gazelle.HL7Common.MessageType']}</ui:define>
                        <h:outputText value="#{validationParameter.messageType}"/>
                    </g:column>
                    <g:column  sortBy="#{'domain.keyword'}" filterBy="#{'domain.keyword'}">
                        <ui:define name="header">#{messages['gazelle.hl7.Domain']}</ui:define>
                        <h:outputText value="#{validationParameter.domain.keyword}"/>
                    </g:column>
                    <g:column  sortBy="#{'actor.keyword'}" filterBy="#{'actor.keyword'}">
                        <ui:define name="header">#{messages['gazelle.HL7Common.Actor']}</ui:define>
                        <h:outputText value="#{validationParameter.actor.keyword}"/>
                    </g:column>
                    <g:column  sortBy="#{'transaction.keyword'}" filterBy="#{'transaction.keyword'}">
                        <ui:define name="header">#{messages['gazelle.HL7Common.Transaction']}</ui:define>
                        <h:outputText value="#{validationParameter.transaction.keyword}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['users.Action']}</ui:define>
                        <div class="gzl-never-wrap">
                            <h:outputLink
                                    value="#{validationParametersManager.viewValidationParameter(validationParameter.id)}"
                                    title="#{messages['users.Details']}">
                                <s:span styleClass="gzl-icon-search "/>
                            </h:outputLink>
                            <h:outputLink
                                    value="#{validationParametersManager.editValidationParameter(validationParameter.id)}"
                                    title="#{messages['gazelle.HL7Common.Edit']}">
                                <s:span styleClass="gzl-icon-pencil "/>
                            </h:outputLink>
                            <a4j:commandLink title="#{messages['gazelle.HL7Common.Delete']}"
                                             render="deleteTextDiv"
                                             oncomplete="jq162('#deleteValidationParameters').modal('show');"
                                             action="#{validationParametersManager.setSelectedValidationParameters(validationParameter)}">
                                <span class="gzl-icon-trash-o"></span>
                            </a4j:commandLink>
                        </div>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="parametersList"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
                <ui:define name="panel_footer">
                    <a4j:commandButton id="createValidationParameters"
                                       action="/configuration/createValidationParameters.seam"
                                       value="#{messages['gazelle.HL7Common.CreateValidationParameters']}"
                                       styleClass="gzl-btn-green"/>
                </ui:define>
            </ui:decorate>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deleteValidationParameters"/>
                <ui:param name="styleClass" value="modal-sm"/>
                <ui:param name="headerStyleClass" value="gzl-text-red"/>
                <ui:define name="popup_title">
                    <span class="gzl-icon-exclamation-triangle"></span>
                    #{messages['gazelle.HL7Common.DeleteValidationParameters']}
                </ui:define>
                <ui:param name="bodyStyleClass" value="bg-warning"/>
                <s:div id="deleteTextDiv">
                    <h:outputText
                            value="#{messages['gazelle.HL7Common.AreYouSureToDeleteTheValidationParametersWithThe']} #{validationParametersManager.validationParameters.id} ?"/>
                </s:div>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.simulator.hl7.Yes']}"
                                       title="#{messages['gazelle.HL7Common.DeleteValidationParameters']} #{validationParametersManager.validationParameters.id}"
                                       action="#{validationParametersManager.deleteSelectedValidationParameters()}"
                                       oncomplete="jq162('#deleteValidationParameters').modal('hide');"
                                       render="parametersList"
                                       styleClass="gzl-btn-red"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.simulator.hl7.No']}"
                                       styleClass="gzl-btn"
                                       oncomplete="jq162('#deleteValidationParameters').modal('hide');"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
